WTF(6) | NetBSD Games Manual | WTF(6)

# NAME

wtf — translates acronyms for you

# SYNOPSIS

wtf | [-f dbfile] [is] acronym ...

# DESCRIPTION

The wtf utility displays the expansion of the acronyms specified on the command line. If the acronym is not in any of the acronyms databases, wtf will check to see if the acronym is known by whatis(1), pkg_info(1), or via pkgsrc's internal help mechanism, “make help topic=XXX”.

If “is” is specified on the command line, it will be ignored, allowing the fairly natural “wtf is WTF” usage.

The following options are available:

-f dbfile
  Overrides the default acronym database, bypassing the value of the ACRONYMDB variable.

# ENVIRONMENT

ACRONYMDB
  The default acronym database may be overridden by setting the environment variable ACRONYMDB to the name of one or more space-separated file names of acronym databases. The files must be in the proper format (acronym[tab]meaning).

# FILES

/usr/share/misc/acronyms
  default acronym database.
/usr/share/misc/acronyms.comp
  computer-related acronym database.

# SEE ALSO

make(1), pkg_info(1), whatis(1)

# HISTORY

wtf first appeared in NetBSD 1.5.

July 27, 2007 | NetBSD 5.99